%define githash 928494e56f2ab3fef807fde28e888e33ddb94c6a
%define shorthash %(echo "%githash" | cut -c -8)

Name:           gtkparasite
Version:        0
Release:        0.6.20090120git%{shorthash}%{?dist}
Summary:        A GUI debugging tool for GTK+ applications

Group:          Development/Tools
License:        MIT
URL:            http://chipx86.github.com/gtkparasite/
# http://github.com/chipx86/gtkparasite/tarball/master/%{githash}
Source0:        chipx86-gtkparasite-%{githash}.tar.gz
Source1:        COPYING.gtkparasite
Patch0:         gtkparasite-noconfigure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel pygtk2-devel
BuildRequires:  autoconf libtool automake
#Requires:       

%description
Parasite is a debugging and development tool that runs inside your GTK+
application's process. It can inspect your application, giving you detailed
information on your UI, such as the hierarchy, X window IDs, widget
properties, and more. You can modify properties on the fly in order to
experiment with the look of your UI.

Parasite includes an embedded Python shell that lets you write new code that
directly interacts with your application's UI, regardless of the language the
application is written in. Create new dialogs, attach temporary signal
handlers to buttons, test out new logic, and gather additional debug
information.

%prep
%setup -qn chipx86-gtkparasite-%{githash}
%patch0 -p1 -b .noconfigure
./autogen.sh
rm COPYING
cp -a %{SOURCE1} COPYING

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gtk-2.0/modules/libgtkparasite.so

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0-0.5.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090120git928494e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0-0.2.20090120git928494e5
- Rename package
- Update to latest release
- Drop upstreamed patch

* Mon Jan 19 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0-0.1.gitf485897d
- Initial RPM release
